Bug 1671318 - [RFE] The CV exported tar should have minor version of Content View.
Summary: [RFE] The CV exported tar should have minor version of Content View.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Inter Satellite Sync
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.6.0
Assignee: Chris Roberts
QA Contact: vijsingh
URL: https://projects.theforeman.org/issue...
Whiteboard:
Depends On:
Blocks: 1644596
TreeView+ depends on / blocked
 
Reported: 2019-01-31 11:21 UTC by vijsingh
Modified: 2019-10-22 12:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 12:47:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 26326 None None None 2019-03-12 17:28:37 UTC
Github Katello hammer-cli-katello pull 633 None None None 2019-03-12 17:33:59 UTC
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:47:21 UTC

Description vijsingh 2019-01-31 11:21:16 UTC
Description of problem:

Currently, the exported tar is written with the name in format export-cvname-cvvid.tar, 
but the exported tar should have minor version of Content View too:

export-<cv_name>-<cvv MinorMajor>.tar

Version-Release number of selected component (if applicable):

Satellite 6.5.0 Snap 13.0

How reproducible:
Always

Steps to Reproduce:
1. Export content view version to some directory
2. Look at the tar name in the exported directory.

Actual results:

The exported tar does not have minor version of Content View in name:

 i.e. export-cvname-cvvid.tar

Expected results:

The exported tar should have minor version of Content View in name:
Expected: export-<cv_name>-<cvv MinorMajor>.tar

Comment 6 vijsingh 2019-06-04 07:34:33 UTC
ON_QA Verified

@Satellite 6.6.0 snap 5.0

Steps/Observation:

~~~~~~~~
[root@qe-sat6-bm1 ~]# hammer content-view version list
---|-------------------------------|---------|-----------------------
ID | NAME                          | VERSION | LIFECYCLE ENVIRONMENTS
---|-------------------------------|---------|-----------------------
3  | DevCV 2.0                     | 2.0     | Library               
2  | DevCV 1.0                     | 1.0     |                       
1  | Default Organization View 1.0 | 1.0     | Library               
---|-------------------------------|---------|-----------------------

[root@qe-sat6-bm1 ~]# hammer content-view version export --export-dir /tmp --id 2

[root@qe-sat6-bm1 ~]# hammer content-view version export --export-dir /tmp --id 3

[root@qe-sat6-bm1 ~]# ls -ltr /tmp|grep export
-rw-r--r--. 1 root    root    174080 Jun  4 03:15 export-DevCV-1.0.tar
-rw-r--r--. 1 root    root    174080 Jun  4 03:16 export-DevCV-2.0.tar
[root@qe-sat6-bm1 ~]#
~~~~~~~~

 - The exported tar does have minor version of Content View in it name:

Comment 8 errata-xmlrpc 2019-10-22 12:47:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.